<!DOCTYPE html>
<html lang="{{ app.request.locale|e('html_attr') }}" class="lang-base-{{ (app.request.locale|e('html_attr')|split('_', 2))[0] }}" x-ajax-landing="{{ ajax_landing }}">
<head>
    {% block html_head %}
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
        <meta charset="UTF-8" />

        <!-- Keep the robots out -->
        <meta name="robots" content="noindex, nofollow">

        <!-- Tell mobile devices not to perform desktop scaling -->
        <meta name="viewport" content="width=device-width, user-scalable=no">

        <!-- Set the base URL to account for virtual mod_rewrite URLs -->
        <base target="_blank" href="{{ app.request.getBaseURL() }}">

        <!-- Load CSS -->
        {{ encore_entry_link_tags('app') }}

        <!-- Load JS -->
        {{ encore_entry_script_tags('app') }}

        <!-- Set Favicon -->
        <link rel="shortcut icon" href="{{ asset('build/images/favicon.ico') }}" sizes="310x310">

        <!-- Set page title -->
        {% if block('title') is defined %}
            <title>MyHordes - {{ block('title') }}</title>
        {% else %}
            <title>MyHordes</title>
        {% endif %}
    {% endblock %}
</head>
<body onclick class="{% if is_granted('ROLE_USER') %}online_body{% else %}offline_body{% endif %} {% if custom_css is defined and custom_css != '' %}{{ custom_css }}{% endif %}">
<div id="notifications"></div>
<div id="post-office">
    <div id="post-office-box">
        <div id="post-office-content"></div>
        <div id="post-office-button-overlay">
            <ul><li><img src="{{ asset('build/images/icons/b_close.png') }}" alt="(X)"></li></ul>
        </div>
    </div>
</div>
<div id="wrapper">
    <div id="header">
        <div id="header-reload-area"></div>
        <div id="postbox" class="hidden">
            <div><img src="{{ asset('build/images/icons/small_mail.gif') }}" alt=""></div>
            <div><img src="{{ asset('build/images/icons/anim_icon_mail.gif') }}" alt=""></div>
            <div id="postbox-new-msg-counter">0</div>
        </div>
        {% block header %}{% endblock %}
    </div>

    {% if debug %}
        <div class="debug_info">
            <div><b>Warning: </b>This is a test build! Please report any issues <a href="https://gitlab.com/eternal-twin/myhordes/myhordes/-/issues">here</a>!</div>
            <div>v {{ version }} [{{ env }}]</div>
        </div>
    {% endif %}

    <div id="content">
        <noscript>
            <div class="row">
                <div class="cell padded rw-12">
                    <h1>JavaScript required</h1>
                    <p>This website requires JavaScript to work. You are seeing this page because JavaScript is either disabled or blocked in your browser.</p>
                    <p>If you are using Adblockers or Scriptblockers, please disable them to use this website.</p>
                </div>
            </div>
        </noscript>
    </div>

    <div id="footer"></div>
</div>
<div id="tooltip_container"></div>
<div id="loadzone" x-stack="0">
    <div><img src="{{ asset('build/images/anims/loading.gif') }}" alt=""></div>
    <div><img src="{{ asset('build/images/anims/loading.gif') }}" alt=""></div>
</div>
<div id="modal-backdrop">
    <div id="modal">
        <div id="modal-title"></div>
        <div id="modal-content"></div>
        <div id="modal-actions"></div>
    </div>
</div>

</body>
<footer>
    {% block footer %}
        <div class="row">
            <div class="cell-small rw-11 rw-sm-24 justify">
                <strong>MyHordes</strong>
                <div class="content">
                    This is a fan project for the games <a href="http://dieverdammten.de">Die Verdammten</a>, <a href="http://die2nite.com/">Die2Nite</a>, <a href="http://hordes.fr/">Hordes</a> and <a href="http://www.zombinoia.com/">Zombinoia</a> by <b>MotionTwin</b>.
                    Unless otherwise expressly stated, all graphics in MyHordes are taken from these games and are therefore the property of <b>MotionTwin</b>.
                    <br /><br />
                    MyHordes is <i>Open Source</i> and everyone is welcome to <b>get involved</b>. You can find the source code at <a href="https://gitlab.com/eternal-twin/myhordes">Gitlab</a>.
                </div>
            </div>
            <div class="cell-small ro-5 rw-8 ro-sm-0 rw-sm-24 center">
                <strong>Programming</strong>
                <div class="content">
                {% for dev in devs %}
                    <div>{{ dev|raw }}</div>
                {% endfor %}
            	</div>
                <strong>Thanks to</strong>
                <div class="content">
                    <i>MisterD</i>, <i>Mondi</i>, <i>Schrödinger</i>, <i>Kitsune</i>, <i>Dylan57</i>, <i>MOTZI</i>, <i>devwwm</i>, <i>tchekof</i>, <i>alonsopor</i>, <i>Termineitron</i>
            	</div>
            </div>
        </div>
    {% endblock %}
</footer>
<script>
    (function() {
        document.getElementById('header-reload-area').addEventListener('click', function() { window.location.href = $.ajax.getBaseURL(); })
        window.c = {
            'errors': {
                'default': '{% trans from 'global' %}Allgemeiner Fehler.{% endtrans %}',
                {{ include('scripts/errors/generic.txt.twig') }}
                {{ include('scripts/errors/profile.txt.twig') }}
                {{ include('scripts/errors/town.txt.twig') }}
                {{ include('scripts/errors/beyond.txt.twig') }}
                {{ include('scripts/errors/inventory.txt.twig') }}
                {{ include('scripts/errors/actions.txt.twig') }}
                {{ include('scripts/errors/forum.txt.twig') }}
                {{ include('scripts/errors/ghost.txt.twig') }}
            },
            'langs': {
                'de': '{{ 'Deutsch'|trans({},'global') }}',
                'en': '{{ 'Englisch'|trans({},'global') }}',
                'fr': '{{ 'Französisch'|trans({},'global') }}',
                'es': '{{ 'Spanisch'|trans({},'global') }}',
            },
            'label': {
                'confirm': '{{ 'Bestätigen'|trans({},'global') }}'
            }
        };

        $.html.addEventListenerAll('#post-office','click', function(e,elem) {
            if (e.target !== elem) return;
            elem.classList.remove('visible');
            document.body.style.overflow = null;
            $.msg.togglePing(true);
            $.msg.toggleFetch(false);
            $.msg.restoreFetchEndpoint();
            $.msg.setFetchRK(null);
            $.msg.execute();
        });
        $.html.addEventListenerAll('#post-office-button-overlay>ul>li:last-child','click', function() {
            let post = document.getElementById('post-office');
            if (post) {
                post.classList.remove('visible');
                document.body.style.overflow = null;
                $.msg.togglePing(true);
                $.msg.toggleFetch(false);
                $.msg.restoreFetchEndpoint();
                $.msg.setFetchRK(null);
                $.msg.execute();
            }
        });
        $.msg.registerPingEndpoint( '{{ path('api_pm_ping') }}' );
        $.msg.registerPingCallback(data => {
            if (data.connected) {
                $.html.forEach('#postbox', e => e.classList.remove('hidden'));
                document.getElementById('postbox-new-msg-counter').innerText = data.newMessages;
                if (data.newMessages > 0) $.html.forEach('#postbox', e => e.classList.add('new-messages'));
                else $.html.forEach('#postbox', e => e.classList.remove('new-messages'));
                $.html.setTitleSegmentCount(data.newMessages);
            }
            else $.html.forEach('#postbox', e=>e.classList.add('hidden'));
        }, true);
        $.msg.registerFetchEndpoint( '{{ path('api_pm_spring') }}' );
        $.msg.toggleFetch(false);

        $.html.addEventListenerAll('#postbox','click', function() {
            let post = document.getElementById('post-office');
            if (post) {
                post.classList.add('visible');
                document.body.style.overflow = 'hidden';
                document.getElementById('post-office-content').innerText = '';

                $.msg.restoreFetchEndpoint();
                $.msg.togglePing(false);
                $.msg.toggleFetch(true);
                $.msg.setFetchRK(null);

                $.html.setTitleSegmentCount(0);

                $.ajax.background().load( document.getElementById('post-office-content'),'{{ url('pm_view')|e('js') }}', false )
            }
        });
    })();

</script>
</html>
